Skip to content
Last updated

Validate connection configuration before creating a connection (dry-run).

POSThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/test

Tests whether a source can connect to a destination with the given configuration, without creating a persistent connection.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

Request Body

source_id string required

Source to test connectivity for.

destination_id string optional

Destination to test against.

configurations object optional

Configuration to validate.


Returns

A test result object containing status and optional message.

cURL
curl -X POST "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/connections/test" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"source_id": "src_abc123"}'